TypeForm (Struts Apps - Examples 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.validator
Class TypeForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.apache.struts.webapp.validator.TypeForm

All Implemented Interfaces:
  Serializable

    public final class TypeForm

extends ValidatorForm
implements Serializable

Form bean for the user type page.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`TypeForm()`

Method Summary
`String` | `getAction()`
`String` | `getByte()`
`String` | `getCreditCard()`
`String` | `getDate()`
`String` | `getDouble()`
`String` | `getEmail()`
`String` | `getFloat()`
`String` | `getFloatRange()` Float field with range checking
`String` | `getInteger()`
`String` | `getIntRange()`
`String` | `getLong()`
`String` | `getMask()`
`String` | `getMinMaxLength()`
`String` | `getName()`
`List` | `getNameList()`
`String[]` | `getOsList()`
`String` | `getOverallSatisfaction()`
`String` | `getSatisfaction()`
`String` | `getShort()`
`String` | `getUrl()`
`String[]` | `getUsedLanguages()`
`String` | `getWouldRecommend()`
`void` | `reset(ActionMapping mapping, HttpServletRequest request)` Reset all properties to their default values.
`void` | `setAction(String action)`
`void` | `setByte(String sByte)`
`void` | `setCreditCard(String sCreditCard)`
`void` | `setDate(String sDate)`
`void` | `setDouble(String sDouble)`
`void` | `setEmail(String sEmail)`
`void` | `setFloat(String sFloat)`
`void` | `setFloatRange(String sFloatRange)` Float field with range checking
`void` | `setInteger(String sInteger)`
`void` | `setIntRange(String sIntRange)`
`void` | `setLong(String sLong)`
`void` | `setMask(String sMask)`
`void` | `setMinMaxLength(String sMinMaxLength)`
`void` | `setName(String name)`
`void` | `setNameList(List lNames)`
`void` | `setOsList(String[] anOsList)`
`void` | `setOverallSatisfaction(String anOverallSatisfaction)`
`void` | `setSatisfaction(String sSatisfaction)`
`void` | `setShort(String sShort)`
`void` | `setUrl(String sUrl)`
`void` | `setUsedLanguages(String[] anUsedLanguages)`
`void` | `setWouldRecommend(String anWouldRecommend)`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults, validate`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeForm

    public TypeForm()

Method Detail

### getAction

    public String getAction()

### setAction

    public void setAction(String action)

### getName

    public String getName()

### setName

    public void setName(String name)

### getByte

    public String getByte()

### setByte

    public void setByte(String sByte)

### getShort

    public String getShort()

### setShort

    public void setShort(String sShort)

### getInteger

    public String getInteger()

### setInteger

    public void setInteger(String sInteger)

### getIntRange

    public String getIntRange()

### setIntRange

    public void setIntRange(String sIntRange)

### getLong

    public String getLong()

### setLong

    public void setLong(String sLong)

### getFloat

    public String getFloat()

### setFloat

    public void setFloat(String sFloat)

### getFloatRange

    public String getFloatRange()

  Float field with range checking

  Returns:

### setFloatRange

    public void setFloatRange(String sFloatRange)

  Float field with range checking

  Parameters:
    `sFloatRange` -

### getDouble

    public String getDouble()

### setDouble

    public void setDouble(String sDouble)

### getDate

    public String getDate()

### setDate

    public void setDate(String sDate)

### getCreditCard

    public String getCreditCard()

### setCreditCard

    public void setCreditCard(String sCreditCard)

### getMinMaxLength

    public String getMinMaxLength()

### setMinMaxLength

    public void setMinMaxLength(String sMinMaxLength)

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String sUrl)

### getEmail

    public String getEmail()

### setEmail

    public void setEmail(String sEmail)

### getMask

    public String getMask()

### setMask

    public void setMask(String sMask)

### getSatisfaction

    public String getSatisfaction()

### setSatisfaction

    public void setSatisfaction(String sSatisfaction)

### getOsList

    public String[] getOsList()

### setOsList

    public void setOsList(String[] anOsList)

### getOverallSatisfaction

    public String getOverallSatisfaction()

### setOverallSatisfaction

    public void setOverallSatisfaction(String anOverallSatisfaction)

### getWouldRecommend

    public String getWouldRecommend()

### setWouldRecommend

    public void setWouldRecommend(String anWouldRecommend)

### getUsedLanguages

    public String[] getUsedLanguages()

### setUsedLanguages

    public void setUsedLanguages(String[] anUsedLanguages)

### getNameList

    public List getNameList()

### setNameList

    public void setNameList(List lNames)

### reset

    public void reset(ActionMapping mapping,
                      HttpServletRequest request)

  Reset all properties to their default values.

  Overrides:
    `reset` in class `ValidatorForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.